<template>
  <section class="columns">
    <label class="column is-6"> {{ titre }}</label>
    <b-checkbox v-model="notifAppUsed" class="column is-3" :disabled="activerCheckbox" />
    <b-checkbox v-model="notifMailUsed" class="column is-1" :disabled="activerCheckbox" />
  </section>
</template>

<script>
export default {
  name: 'TypeNotificationSelection',
  props: {
    titre: {
      type: String,
      default: () => ({}),
    },
    notificationMail: {
      type: Boolean,
      default: () => ({}),
    },
    notificationInApp: {
      type: Boolean,
      default: () => ({}),
    },
    activerCheckbox: {
      type: Boolean,
      default: () => ({}),
    },
    selectNotif: {
      type: Boolean,
      default: () => ({}),
    },
  },
  data() {
    return {
      notifAppUsed: this.notificationInApp,
      notifMailUsed: this.notificationMail,
    };
  },
  watch: {
    selectNotif: {
      handler() {
        if (this.selectNotif === true) {
          this.notifAppUsed = true;
          this.notifMailUsed = true;
        }
        if (this.selectNotif === false) {
          this.notifAppUsed = false;
          this.notifMailUsed = false;
        }
      },
    },
    notifAppUsed: {
      handler(notifAppUsed) {
        this.$emit('modif-notif-app', notifAppUsed);
      },
    },
    notifMailUsed: {
      handler(notifMailUsed) {
        this.$emit('modif-notif-mail', notifMailUsed);
      },
    },
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';

.tag {
  background-color: white;
}

label {
  color: $brown-grey;
}
</style>
